<html>
<head>
	<link href="style.css" rel="stylesheet">
</head>
<div class="stripped">
	<div class="container">
		<div class="content">
			<h3>API v1.0</h3>
			<p>To use this API you will need a key. Following paths are available</p>
			<br/>
			<br/>
			<table width="100%">
				<thead>
					<tr>
						<td><b>Path</b></td>
						<td><b>Description</b></td>
						<td><b>Params</b></td>
						<td><b>Example</b></td>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>/api/product</td>
						<td>Returns a list of products or a single prodcut with a specific ID.
							Leave id empty to retrieve a list of all products.
						</td>
						<td>Api Key, ID</td>
						<td>JSON<br/> 
								{
								"id": 1,
								"key": "..."
							}
						</td>
					</tr>
					<tr>
						<td>/api/product/category</td>
						<td>Returns a list of products in specific category.</td>
						<td>Api Key, Cat.Id</td>
						<td>JSON<br/> 
								{
								"categoryid": 1,
								"key": "..."
							}
						</td>
					</tr>
						<tr>
						<td>/api/product/price</td>
						<td>Returns a list of products in specific price range.</td>
						<td>Api Key, Min. Price, Max. Price</td>
						<td>JSON<br/> 
								{
								"minprice": 1,
								"maxprice": 100,
								"key": "..."
							}
						</td>
					</tr>
				</tbody>
			</table>
			
		</div>
	</div>
</div>
</html>
